--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/science/root/Portfile	2012-05-09 02:00:50.000000000 +0100
+++ Portfile	2012-06-13 17:05:27.000000000 +0100
@@ -1,11 +1,11 @@
 # -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
-# $Id: Portfile 92837 2012-05-09 00:51:48Z ryandesign@macports.org $
+# $Id: Portfile 90551 2012-03-08 21:13:31Z dports@macports.org $
 
 PortSystem          1.0
 
 name                root
-version             5.32.02
-revision            1
+version             5.34.00
+revision            0
 categories          science
 maintainers         gmail.com:mattiafrancescomoro hep.phy.cam.ac.uk:jonesc
 license             LGPL-2.1+
@@ -19,8 +19,8 @@
 master_sites        http://root.cern.ch/download/ \
                     ftp://root.cern.ch/root/
 
-checksums           rmd160  0700dbb56adebd07c4e667fa9f78f7a75f59e511 \
-                    sha256  5f14f50e4489cd74b3c5bdfbfff8379c6aaaf83d3ace3318c62964be6fdc38a2
+checksums           rmd160  6089493c70f94a1c4edd87ebe79adb9f3570f903 \
+                    sha256  808e04876dbc9cfbfea54ee11ba35e90382e8ff4219dbdbe2d2236a9dadf7df1
 
 worksrcdir          root
 
@@ -29,13 +29,14 @@
                     port:pcre \
                     port:Xft2 \
                     port:xorg-libX11 \
-                    port:xpm \
                     port:zlib \
                     port:jpeg \
                     port:libpng \
                     port:giflib \
                     port:tiff \
-                    port:gmp
+                    port:gmp \
+                    port:xpm \
+                    port:expat
 
 patchfiles          patch-configure.diff
 
@@ -54,10 +55,18 @@
 
 pre-configure {
     if {${configure.compiler} == "clang"} {
-        configure.args-append --with-clang
+        configure.args-append \
+          --with-clang \
+          --with-cc=${configure.cc} \
+          --with-cxx=${configure.cxx} \
+          --with-ld=${configure.cxx}
     } else {
         if {${configure.compiler} == "macports-clang-3.1"} {
-            configure.args-append --with-clang
+            configure.args-append \
+             --with-clang \
+             --with-cc=${configure.cc} \
+             --with-cxx=${configure.cxx} \
+             --with-ld=${configure.cxx}
         } else {
             configure.args-append \
              --with-cc=${configure.cc} \
@@ -111,15 +120,20 @@
                     --disable-bonjour \
                     --disable-gviz \
                     --disable-soversion \
-                    --with-x11-libdir=${prefix}/lib \
-                    --with-xpm-libdir=${prefix}/lib \
+                    --disable-c++11 \
+                    --disable-fink \
                     --enable-builtin-ftgl \
                     --enable-mathmore \
                     --enable-genvector \
                     --enable-memstat \
                     --enable-unuran \
                     --enable-reflex \
-                    --enable-table
+                    --enable-table \
+                    --enable-fink
+
+# Seem to cause build problems with FTGL ...
+#                    --with-x11-libdir=${prefix}/lib \
+#                    --with-xpm-libdir=${prefix}/lib \
 
 pre-build {
     build.args      CC=${configure.cc} \
@@ -219,23 +233,12 @@
     configure.args-append   --enable-opengl --enable-builtin-glew
 }
 
-variant python26 conflicts python32 python31 python27 description {Builds port with python 2.6 support} {
-    set mypydir ${prefix}/Library/Frameworks/Python.framework/Versions/2.6
-    configure.args-delete   --disable-python
-    configure.args-append   --enable-python --with-python-incdir="${mypydir}/Headers" --with-python-libdir="${mypydir}"
-    depends_lib-append      port:python26
-    post-destroot {
-        set mypysitedir ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/
-        file mkdir ${mypysitedir}
-        foreach pyfile [glob ${destroot}${prefix}/lib/root/*.py*] { move $pyfile ${mypysitedir} }
-        move ${destroot}${prefix}/lib/root/python/genreflex ${mypysitedir}
-    }
-}
-
-variant python27 conflicts python32 python31 python26 description {Builds port with python 2.7 support} {
+variant python27 conflicts python32 description {Builds port with python 2.7 support} {
     set mypydir ${prefix}/Library/Frameworks/Python.framework/Versions/2.7
     configure.args-delete   --disable-python
-    configure.args-append   --enable-python --with-python-incdir="${mypydir}/Headers" --with-python-libdir="${mypydir}"
+    configure.args-append   --enable-python \
+                            --with-python-incdir="${mypydir}/Headers" \
+                            --with-python-libdir="${mypydir}"
     depends_lib-append      port:python27
     post-destroot {
         set mypysitedir ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/
@@ -245,23 +248,12 @@
     }
 }
 
-variant python31 conflicts python32 python27 python26 description {Builds port with python 3.1 support} {
-    set mypydir ${prefix}/Library/Frameworks/Python.framework/Versions/3.1
-    configure.args-delete   --disable-python
-    configure.args-append   --enable-python --with-python-incdir="${mypydir}/Headers" --with-python-libdir="${mypydir}"
-    depends_lib-append      port:python31
-    post-destroot {
-        set mypysitedir ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/3.1/lib/python3.1/site-packages/
-        file mkdir ${mypysitedir}
-        foreach pyfile [glob ${destroot}${prefix}/lib/root/*.py*] { move $pyfile ${mypysitedir} }
-        move ${destroot}${prefix}/lib/root/python/genreflex ${mypysitedir}
-    }
-}
-
-variant python32 conflicts python31 python27 python26 description {Builds port with python 3.2 support} {
+variant python32 conflicts python27 description {Builds port with python 3.2 support} {
     set mypydir ${prefix}/Library/Frameworks/Python.framework/Versions/3.2
     configure.args-delete   --disable-python
-    configure.args-append   --enable-python --with-python-incdir="${mypydir}/Headers" --with-python-libdir="${mypydir}"
+    configure.args-append   --enable-python \
+                            --with-python-incdir="${mypydir}/Headers" \
+                            --with-python-libdir="${mypydir}"
     depends_lib-append      port:python32
     post-destroot {
         set mypysitedir ${destroot}${prefix}/Library/Frameworks/Python.framework/Versions/3.2/lib/python3.2/site-packages/
@@ -294,74 +286,20 @@
     depends_lib-append      port:libxml2
 }
 
-variant qt_x11 conflicts qt_mac description {Builds port with Qt support via X11 UI} {
-    # fix where "qglobal.h" is found in all files that use or reference it
-    post-patch {
-        foreach tpf { configure graf2d/qt/src/TGQt.cxx } {
-            reinplace "s@Qt/qglobal\\.h@QtCore/qglobal\\.h@g" \
-                ${worksrcpath}/${tpf}
-        }
-        reinplace "/qttestdir/s@Qt@QtCore@g" ${worksrcpath}/configure
-    }
-
-    configure.env-append    QTDIR=${prefix}/libexec/qt4-x11
-    configure.args-delete   --disable-qt
-    configure.args-delete   --disable-qtgsi
-    configure.args-append   --enable-qt --enable-qtgsi \
-                            --with-qt-incdir="${prefix}/include" \
-                            --with-qt-libdir="${prefix}/lib"
-    depends_lib-append      port:qt4-x11
-}
-
-if {[variant_isset qt_mac]} {
-    PortGroup qt4 1.0
-}
-
-variant qt_mac conflicts qt_x11 description {Builds port with Qt support via Mac UI} {
-    post-patch {
-        # fix where "qglobal.h" is found in all files that use or reference it
-        foreach tpf { configure graf2d/qt/src/TGQt.cxx } {
-            reinplace "s@Qt/qglobal\\.h@QtCore/qglobal\\.h@g" \
-                ${worksrcpath}/${tpf}
-        }
-        reinplace "/qttestdir/s@Qt@QtCore@g" ${worksrcpath}/configure
-
-        # fix library search extensions to include ".la"
-        # for Qt framework libraries (only)
-        reinplace "s@\\(\\.so \\.sl \\.dylib \\.dll\\.a\\)@\\1 \\.la@g" \
-            ${worksrcpath}/configure
-    }
-
-    configure.args-delete   --disable-qt
-    configure.args-delete   --disable-qtgsi
-    configure.args-append   --enable-qt --enable-qtgsi \
-                            --with-qt-incdir="${prefix}/include" \
-                            --with-qt-libdir="${prefix}/lib"
-    depends_lib-append      port:qt4-mac
-
-    post-configure {
-        # patch up the Makefile.config to handle the QTLIB frameworks correctly
-        reinplace "/QTLIB\[ \]/s@:= @:= -F${qt_libs_dir} @" \
-            ${worksrcpath}/config/Makefile.config
-        reinplace "/QTLIB\[ \]/s@\\(Qt\[^ \]*\\).la@-framework \\1@g" \
-            ${worksrcpath}/config/Makefile.config
-    }
-}
-
 variant mysql description {Builds port with mysql support} {
     configure.args-delete   --disable-mysql
     configure.args-append   --enable-mysql \
-                            --with-mysql-incdir="${prefix}/include" \
-                            --with-mysql-libdir="${prefix}/lib"
-    depends_lib-append      port:mysql5
+                            --with-mysql-incdir="${prefix}/include/mysql55/mysql" \
+                            --with-mysql-libdir="${prefix}/lib/mysql55/mysql"
+    depends_lib-append      port:mysql55
 }
 
-variant postgresql90 description {Builds port with PostgreSQL support} {
+variant postgresql92 description {Builds port with PostgreSQL support} {
     configure.args-delete   --disable-pgsql
     configure.args-append   --enable-pgsql \
-                            --with-pgsql-incdir="${prefix}/include/postgresql90" \
-                            --with-pgsql-libdir="${prefix}/lib/postgresql90"
-    depends_lib-append      port:libpqxx port:postgresql90
+                            --with-pgsql-incdir="${prefix}/include/postgresql92" \
+                            --with-pgsql-libdir="${prefix}/lib/postgresql92"
+    depends_lib-append      port:libpqxx port:postgresql92
 }
 
 variant pythia description {Pythia 8 support for root} {
@@ -372,37 +310,38 @@
     depends_lib-append      port:pythia
 }
 
-variant gcc43 conflicts gcc44 gcc45 gcc46 description {Compile using MacPorts gcc 4.3} {
-    configure.compiler      macports-gcc-4.3
-    depends_lib-append      port:gcc43
+variant cocoa requires clang31 description {EXPERIMENTAL - Enables a native OSX graphical backend instead of X11} {
+    configure.args-append --enable-cocoa
 }
 
-variant gcc44 conflicts gcc43 gcc45 gcc46 description {Compile using MacPorts gcc 4.4} {
-    configure.compiler      macports-gcc-4.4
-    depends_lib-append      port:gcc44
+variant gcc46 conflicts gcc47 clang31 description {Compile using MacPorts gcc 4.6} {
+    configure.compiler      macports-gcc-4.6
+    depends_lib-append      port:gcc46
 }
 
-variant gcc45 conflicts gcc43 gcc44 gcc46 description {Compile using MacPorts gcc 4.5} {
-    configure.compiler      macports-gcc-4.5
-    depends_lib-append      port:gcc45
+variant gcc47 conflicts gcc46 clang31 description {Compile using MacPorts gcc 4.7} {
+    configure.compiler      macports-gcc-4.7
+    depends_lib-append      port:gcc47
 }
 
-variant gcc46 conflicts gcc43 gcc44 gcc45 description {Compile using MacPorts gcc 4.6} {
-    configure.compiler      macports-gcc-4.6
-    depends_lib-append      port:gcc46
+variant clang31 conflicts gcc47 gcc46 description {Compile using MacPorts clang 3.1} {
+     configure.compiler      macports-clang-3.1
+     depends_lib-append      port:clang-3.1
+     configure.args-append   --with-llvm-config="${prefix}/bin/llvm-config-mp-3.1"
 }
 
-# variant clang31 conflicts gcc43 gcc44 gcc45 gcc46 description {EXPERIMENTAL - Compile using MacPorts clang 3.1} {
-#     configure.compiler      macports-clang-3.1
-#     depends_lib-append      port:clang-3.1
-#     configure.args-append   --with-llvm-config="${prefix}/bin/llvm-config"
-# }
+livecheck.type              regex
+livecheck.url               [lindex ${master_sites} 0]
+livecheck.regex             ${name}_v(\[0-9a-z.\]+)\\.source
+
+# ========================================================================================
+# The following have build issues or are obsolete. Keep just for reference for the moment
+# ========================================================================================
 
 # variant cling requires clang31 description {EXPERIMENTAL - Enable cling interpreter backend} {
-#     configure.args-append --enable-cling
+#       configure.args-append --enable-cling
 # }
 
-# Build issues. 
 # variant kerberos5 description {Builds port with kerberos5 support} {
 #     configure.args-delete   --disable-krb5
 #     configure.args-append   --enable-krb5 \
@@ -411,7 +350,6 @@
 #      depends_lib-append      port:kerberos5
 # }
 
-# Build issues.
 # variant ftgl description {Builds port with ftgl support} {
 #     configure.args-delete   --enable-builtin-ftgl
 #     configure.args-append   --disable-builtin-ftgl \
@@ -420,6 +358,56 @@
 #     depends_lib-append      port:ftgl
 # }
 
-livecheck.type              regex
-livecheck.url               [lindex ${master_sites} 0]
-livecheck.regex             ${name}_v(\[0-9a-z.\]+)\\.source
+# variant qt_x11 conflicts qt_mac description {Builds port with Qt support via X11 UI} {
+#     # fix where "qglobal.h" is found in all files that use or reference it
+#     post-patch {
+#         foreach tpf { configure graf2d/qt/src/TGQt.cxx } {
+#             reinplace "s@Qt/qglobal\\.h@QtCore/qglobal\\.h@g" \
+#                 ${worksrcpath}/${tpf}
+#         }
+#         reinplace "/qttestdir/s@Qt@QtCore@g" ${worksrcpath}/configure
+#     }
+
+#     configure.env-append    QTDIR=${prefix}/libexec/qt4-x11
+#     configure.args-delete   --disable-qt
+#     configure.args-delete   --disable-qtgsi
+#     configure.args-append   --enable-qt --enable-qtgsi \
+#                             --with-qt-incdir="${prefix}/include" \
+#                             --with-qt-libdir="${prefix}/lib"
+#     depends_lib-append      port:qt4-x11
+# }
+
+# if {[variant_isset qt_mac]} {
+#     PortGroup qt4 1.0
+# }
+
+# variant qt_mac conflicts qt_x11 description {Builds port with Qt support via Mac UI} {
+#     post-patch {
+#         # fix where "qglobal.h" is found in all files that use or reference it
+#         foreach tpf { configure graf2d/qt/src/TGQt.cxx } {
+#             reinplace "s@Qt/qglobal\\.h@QtCore/qglobal\\.h@g" \
+#                 ${worksrcpath}/${tpf}
+#         }
+#         reinplace "/qttestdir/s@Qt@QtCore@g" ${worksrcpath}/configure
+
+#         # fix library search extensions to include ".la"
+#         # for Qt framework libraries (only)
+#         reinplace "s@\\(\\.so \\.sl \\.dylib \\.dll\\.a\\)@\\1 \\.la@g" \
+#             ${worksrcpath}/configure
+#     }
+
+#     configure.args-delete   --disable-qt
+#     configure.args-delete   --disable-qtgsi
+#     configure.args-append   --enable-qt --enable-qtgsi \
+#                             --with-qt-incdir="${prefix}/include" \
+#                             --with-qt-libdir="${prefix}/lib"
+#     depends_lib-append      port:qt4-mac
+
+#     post-configure {
+#         # patch up the Makefile.config to handle the QTLIB frameworks correctly
+#         reinplace "/QTLIB\[ \]/s@:= @:= -F${qt_libs_dir} @" \
+#             ${worksrcpath}/config/Makefile.config
+#         reinplace "/QTLIB\[ \]/s@\\(Qt\[^ \]*\\).la@-framework \\1@g" \
+#             ${worksrcpath}/config/Makefile.config
+#     }
+# }