diff -ruN geotrans3.2-orig/CCS/autotools/Makefile.am geotrans3.2/CCS/autotools/Makefile.am
--- CCS/autotools/Makefile.am	1969-12-31 19:00:00.000000000 -0500
+++ CCS/autotools/Makefile.am	2012-06-17 02:24:53.000000000 -0400
@@ -0,0 +1,280 @@
+AUTOMAKE_OPTIONS = subdir-objects
+ACLOCAL_AMFLAGS = ${ACLOCAL_FLAGS}
+
+SRCTOP = ../../CCS/src
+DTCCDIR = $(SRCTOP)/dtcc
+CSDIR = $(DTCCDIR)/CoordinateSystems
+JAVADIR = $(SRCTOP)/GEOTRANS3/java_gui/geotrans3/jni
+
+DATADIR = ../../data
+
+DATAFILES = \
+	$(DATADIR)/3_param.dat \
+	$(DATADIR)/7_param.dat \
+	$(DATADIR)/Und_min2.5x2.5_egm2008_WGS84_TideFree_reformatted \
+	$(DATADIR)/default.xml \
+	$(DATADIR)/egm84.grd \
+	$(DATADIR)/egm96.grd \
+	$(DATADIR)/ellips.dat \
+	$(DATADIR)/wwgrid.bin
+
+DTCCINCLUDES = \
+        -I$(SRCTOP)/dtcc \
+        -I$(SRCTOP)/CoordinateConversion \
+        -I$(SRCTOP)/dtcc/CoordinateSystemParameters \
+        -I$(SRCTOP)/dtcc/CoordinateTuples \
+        -I$(SRCTOP)/dtcc/Enumerations \
+        -I$(SRCTOP)/dtcc/Exception
+
+DTCCHDRS = \
+	$(CSDIR)/albers/AlbersEqualAreaConic.h \
+	$(CSDIR)/azeq/AzimuthalEquidistant.h \
+	$(CSDIR)/bng/BritishNationalGrid.h \
+	$(CSDIR)/bonne/Bonne.h \
+	$(CSDIR)/cassini/Cassini.h \
+	$(CSDIR)/cyleqa/CylindricalEqualArea.h \
+	$(CSDIR)/datum/Datum.h \
+	$(CSDIR)/datum/DatumLibraryImplementation.h \
+	$(CSDIR)/datum/SevenParameterDatum.h \
+	$(CSDIR)/datum/ThreeParameterDatum.h \
+	$(CSDIR)/eckert4/Eckert4.h \
+	$(CSDIR)/eckert6/Eckert6.h \
+	$(CSDIR)/ellipse/Ellipsoid.h \
+	$(CSDIR)/ellipse/EllipsoidLibraryImplementation.h \
+	$(CSDIR)/eqdcyl/EquidistantCylindrical.h \
+	$(CSDIR)/gars/GARS.h \
+	$(CSDIR)/geocent/Geocentric.h \
+	$(CSDIR)/georef/GEOREF.h \
+	$(CSDIR)/gnomonic/Gnomonic.h \
+	$(CSDIR)/grinten/VanDerGrinten.h \
+	$(CSDIR)/lambert/LambertConformalConic.h \
+	$(CSDIR)/loccart/LocalCartesian.h \
+	$(CSDIR)/mercator/Mercator.h \
+	$(CSDIR)/mgrs/MGRS.h \
+	$(CSDIR)/miller/MillerCylindrical.h \
+	$(CSDIR)/misc/CoordinateSystem.h \
+	$(CSDIR)/mollweid/Mollweide.h \
+	$(CSDIR)/neys/Neys.h \
+	$(CSDIR)/nzmg/NZMG.h \
+	$(CSDIR)/omerc/ObliqueMercator.h \
+	$(CSDIR)/orthogr/Orthographic.h \
+	$(CSDIR)/polarst/PolarStereographic.h \
+	$(CSDIR)/polycon/Polyconic.h \
+	$(CSDIR)/sinusoid/Sinusoidal.h \
+	$(CSDIR)/stereogr/Stereographic.h \
+	$(CSDIR)/threads/CCSThreadLock.h \
+	$(CSDIR)/threads/CCSThreadMutex.h \
+	$(CSDIR)/tranmerc/TransverseMercator.h \
+	$(CSDIR)/trcyleqa/TransverseCylindricalEqualArea.h \
+	$(CSDIR)/ups/UPS.h \
+	$(CSDIR)/usng/USNG.h \
+	$(CSDIR)/utm/UTM.h
+
+DTCCINCS = \
+        -I$(CSDIR)/threads \
+        -I$(CSDIR)/albers \
+        -I$(CSDIR)/azeq \
+        -I$(CSDIR)/bonne \
+        -I$(CSDIR)/bng \
+        -I$(CSDIR)/cassini \
+        -I$(CSDIR)/cyleqa \
+        -I$(CSDIR)/datum \
+        -I$(CSDIR)/eckert4 \
+        -I$(CSDIR)/eckert6 \
+        -I$(CSDIR)/ellipse \
+        -I$(CSDIR)/eqdcyl \
+        -I$(CSDIR)/gars \
+        -I$(CSDIR)/geocent \
+        -I$(CSDIR)/geoid \
+        -I$(CSDIR)/georef \
+        -I$(CSDIR)/gnomonic \
+        -I$(CSDIR)/grinten \
+        -I$(CSDIR)/lambert \
+        -I$(CSDIR)/loccart \
+        -I$(CSDIR)/mercator \
+        -I$(CSDIR)/misc \
+        -I$(CSDIR)/mgrs \
+        -I$(CSDIR)/miller \
+        -I$(CSDIR)/mollweid \
+        -I$(CSDIR)/neys \
+        -I$(CSDIR)/nzmg \
+        -I$(CSDIR)/omerc \
+        -I$(CSDIR)/orthogr \
+        -I$(CSDIR)/polarst \
+        -I$(CSDIR)/polycon \
+        -I$(CSDIR)/sinusoid \
+        -I$(CSDIR)/stereogr \
+        -I$(CSDIR)/trcyleqa \
+        -I$(CSDIR)/tranmerc \
+        -I$(CSDIR)/ups \
+        -I$(CSDIR)/usng \
+        -I$(CSDIR)/utm
+
+DTCCSRCS = \
+        $(CSDIR)/threads/CCSThreadMutex.cpp \
+        $(CSDIR)/threads/CCSThreadLock.cpp \
+        $(CSDIR)/albers/AlbersEqualAreaConic.cpp \
+        $(CSDIR)/azeq/AzimuthalEquidistant.cpp \
+        $(CSDIR)/bng/BritishNationalGrid.cpp \
+        $(CSDIR)/bonne/Bonne.cpp \
+        $(CSDIR)/cassini/Cassini.cpp \
+        $(CSDIR)/cyleqa/CylindricalEqualArea.cpp \
+        $(CSDIR)/datum/Datum.cpp \
+        $(CSDIR)/datum/DatumLibraryImplementation.cpp \
+        $(CSDIR)/datum/SevenParameterDatum.cpp \
+        $(CSDIR)/datum/ThreeParameterDatum.cpp \
+        $(CSDIR)/eckert4/Eckert4.cpp \
+        $(CSDIR)/eckert6/Eckert6.cpp \
+        $(CSDIR)/ellipse/Ellipsoid.cpp \
+        $(CSDIR)/ellipse/EllipsoidLibraryImplementation.cpp \
+        $(CSDIR)/eqdcyl/EquidistantCylindrical.cpp \
+        $(CSDIR)/gars/GARS.cpp \
+        $(CSDIR)/geocent/Geocentric.cpp \
+        $(CSDIR)/georef/GEOREF.cpp \
+        $(CSDIR)/gnomonic/Gnomonic.cpp \
+        $(CSDIR)/grinten/VanDerGrinten.cpp \
+        $(CSDIR)/lambert/LambertConformalConic.cpp \
+        $(CSDIR)/loccart/LocalCartesian.cpp \
+        $(CSDIR)/mercator/Mercator.cpp \
+        $(CSDIR)/mgrs/MGRS.cpp \
+        $(CSDIR)/miller/MillerCylindrical.cpp \
+        $(CSDIR)/misc/CoordinateSystem.cpp \
+        $(CSDIR)/mollweid/Mollweide.cpp \
+        $(CSDIR)/neys/Neys.cpp \
+        $(CSDIR)/nzmg/NZMG.cpp \
+        $(CSDIR)/omerc/ObliqueMercator.cpp \
+        $(CSDIR)/orthogr/Orthographic.cpp \
+        $(CSDIR)/polarst/PolarStereographic.cpp \
+        $(CSDIR)/polycon/Polyconic.cpp \
+        $(CSDIR)/sinusoid/Sinusoidal.cpp \
+        $(CSDIR)/stereogr/Stereographic.cpp \
+        $(CSDIR)/trcyleqa/TransverseCylindricalEqualArea.cpp \
+        $(CSDIR)/tranmerc/TransverseMercator.cpp \
+        $(CSDIR)/ups/UPS.cpp \
+        $(CSDIR)/usng/USNG.cpp \
+        $(CSDIR)/utm/UTM.cpp
+
+CCSERVICEHDRS = \
+	$(DTCCDIR)/CoordinateSystemParameters/CoordinateSystemParameters.h \
+	$(DTCCDIR)/CoordinateSystemParameters/EllipsoidParameters.h \
+	$(DTCCDIR)/CoordinateSystemParameters/EquidistantCylindricalParameters.h \
+	$(DTCCDIR)/CoordinateSystemParameters/GeodeticParameters.h \
+	$(DTCCDIR)/CoordinateSystemParameters/LocalCartesianParameters.h \
+	$(DTCCDIR)/CoordinateSystemParameters/MapProjection3Parameters.h \
+	$(DTCCDIR)/CoordinateSystemParameters/MapProjection4Parameters.h \
+	$(DTCCDIR)/CoordinateSystemParameters/MapProjection5Parameters.h \
+	$(DTCCDIR)/CoordinateSystemParameters/MapProjection6Parameters.h \
+	$(DTCCDIR)/CoordinateSystemParameters/MercatorScaleFactorParameters.h \
+	$(DTCCDIR)/CoordinateSystemParameters/MercatorStandardParallelParameters.h \
+	$(DTCCDIR)/CoordinateSystemParameters/NeysParameters.h \
+	$(DTCCDIR)/CoordinateSystemParameters/ObliqueMercatorParameters.h \
+	$(DTCCDIR)/CoordinateSystemParameters/PolarStereographicScaleFactorParameters.h \
+	$(DTCCDIR)/CoordinateSystemParameters/PolarStereographicStandardParallelParameters.h \
+	$(DTCCDIR)/CoordinateSystemParameters/UTMParameters.h \
+	$(DTCCDIR)/CoordinateTuples/Accuracy.h \
+	$(DTCCDIR)/CoordinateTuples/BNGCoordinates.h \
+	$(DTCCDIR)/CoordinateTuples/CartesianCoordinates.h \
+	$(DTCCDIR)/CoordinateTuples/CoordinateTuple.h \
+	$(DTCCDIR)/CoordinateTuples/GARSCoordinates.h \
+	$(DTCCDIR)/CoordinateTuples/GEOREFCoordinates.h \
+	$(DTCCDIR)/CoordinateTuples/GeodeticCoordinates.h \
+	$(DTCCDIR)/CoordinateTuples/MGRSorUSNGCoordinates.h \
+	$(DTCCDIR)/CoordinateTuples/MapProjectionCoordinates.h \
+	$(DTCCDIR)/CoordinateTuples/UPSCoordinates.h \
+	$(DTCCDIR)/CoordinateTuples/UTMCoordinates.h \
+	$(DTCCDIR)/DatumLibrary.h \
+	$(DTCCDIR)/DtccApi.h \
+	$(DTCCDIR)/EllipsoidLibrary.h \
+	$(DTCCDIR)/Enumerations/CoordinateType.h \
+	$(DTCCDIR)/Enumerations/DatumType.h \
+	$(DTCCDIR)/Enumerations/HeightType.h \
+	$(DTCCDIR)/Enumerations/Precision.h \
+	$(DTCCDIR)/Enumerations/SourceOrTarget.h \
+	$(DTCCDIR)/Exception/CoordinateConversionException.h
+	$(DTCCDIR)/Exception/ErrorMessages.h \
+	$(DTCCDIR)/Exception/WarningMessages.h
+	$(DTCCDIR)/GeoidLibrary.h \
+	$(DTCCDIR)/egm2008_aoi_grid_package.h \
+	$(DTCCDIR)/egm2008_full_grid_package.h \
+	$(DTCCDIR)/egm2008_geoid_grid.h
+
+CCSERVICESRCS = \
+        $(DTCCDIR)/DatumLibrary.cpp \
+        $(DTCCDIR)/EllipsoidLibrary.cpp \
+        $(DTCCDIR)/GeoidLibrary.cpp \
+        $(DTCCDIR)/egm2008_geoid_grid.cpp \
+        $(DTCCDIR)/egm2008_full_grid_package.cpp \
+        $(DTCCDIR)/egm2008_aoi_grid_package.cpp \
+        $(DTCCDIR)/CoordinateSystemParameters/CoordinateSystemParameters.cpp \
+        $(DTCCDIR)/CoordinateSystemParameters/EllipsoidParameters.cpp \
+        $(DTCCDIR)/CoordinateSystemParameters/EquidistantCylindricalParameters.cpp \
+        $(DTCCDIR)/CoordinateSystemParameters/GeodeticParameters.cpp \
+        $(DTCCDIR)/CoordinateSystemParameters/LocalCartesianParameters.cpp \
+        $(DTCCDIR)/CoordinateSystemParameters/MapProjection3Parameters.cpp \
+        $(DTCCDIR)/CoordinateSystemParameters/MapProjection4Parameters.cpp \
+        $(DTCCDIR)/CoordinateSystemParameters/MapProjection5Parameters.cpp \
+        $(DTCCDIR)/CoordinateSystemParameters/MapProjection6Parameters.cpp \
+        $(DTCCDIR)/CoordinateSystemParameters/MercatorStandardParallelParameters.cpp \
+        $(DTCCDIR)/CoordinateSystemParameters/MercatorScaleFactorParameters.cpp \
+        $(DTCCDIR)/CoordinateSystemParameters/NeysParameters.cpp \
+        $(DTCCDIR)/CoordinateSystemParameters/ObliqueMercatorParameters.cpp \
+        $(DTCCDIR)/CoordinateSystemParameters/PolarStereographicStandardParallelParameters.cpp \
+        $(DTCCDIR)/CoordinateSystemParameters/PolarStereographicScaleFactorParameters.cpp \
+        $(DTCCDIR)/CoordinateSystemParameters/UTMParameters.cpp \
+        $(DTCCDIR)/CoordinateTuples/Accuracy.cpp \
+        $(DTCCDIR)/CoordinateTuples/BNGCoordinates.cpp \
+        $(DTCCDIR)/CoordinateTuples/CartesianCoordinates.cpp \
+        $(DTCCDIR)/CoordinateTuples/CoordinateTuple.cpp \
+        $(DTCCDIR)/CoordinateTuples/GARSCoordinates.cpp \
+        $(DTCCDIR)/CoordinateTuples/GeodeticCoordinates.cpp \
+        $(DTCCDIR)/CoordinateTuples/GEOREFCoordinates.cpp \
+        $(DTCCDIR)/CoordinateTuples/MapProjectionCoordinates.cpp \
+        $(DTCCDIR)/CoordinateTuples/MGRSorUSNGCoordinates.cpp \
+        $(DTCCDIR)/CoordinateTuples/UPSCoordinates.cpp \
+        $(DTCCDIR)/CoordinateTuples/UTMCoordinates.cpp \
+        $(DTCCDIR)/Exception/ErrorMessages.cpp \
+        $(DTCCDIR)/Exception/WarningMessages.cpp
+
+CCSSRCS = \
+        $(SRCTOP)/CoordinateConversion/CoordinateConversionService.cpp
+
+CCSHDRS = \
+	$(SRCTOP)/CoordinateConversion/CoordinateConversionService.h \
+	$(SRCTOP)/CoordinateConversion/CoordinateConversionServiceAPI.h
+
+JNISRCS = \
+        $(JAVADIR)/JNICCSObjectTranslator.cpp \
+        $(JAVADIR)/JNIDatumLibrary.cpp \
+        $(JAVADIR)/JNIEllipsoidLibrary.cpp \
+        $(JAVADIR)/JNIFiomeths.cpp \
+        $(JAVADIR)/ThrowException.cpp \
+        $(JAVADIR)/JNICoordinateConversionService.cpp \
+        $(JAVADIR)/strtoval.cpp \
+        $(JAVADIR)/fiomeths.cpp
+
+lib_LTLIBRARIES = libMSPdtcc.la libMSPCoordinateConversionService.la
+
+libMSPdtcc_includedir=$(includedir)/geotrans
+libMSPCoordinateConversionService_includedir=$(includedir)/geotrans
+
+libMSPdtcc_la_SOURCES = $(DTCCSRCS) $(CCSERVICESRCS)
+libMSPdtcc_include_HEADERS = $(DTCCHDRS) $(CCSERVICEHDRS) $(MISCHEADERS)
+libMSPdtcc_la_CPPFLAGS = $(DTCCINCS) $(DTCCINCLUDES) -DMSPCCS_DATA_DEFAULT=\"$(pkgdatadir)/\"
+
+libMSPCoordinateConversionService_la_SOURCES = $(CCSSRCS)
+libMSPCoordinateConversionService_include_HEADERS = $(CCSHDRS)
+libMSPCoordinateConversionService_la_CPPFLAGS = $(DTCCINCS) $(DTCCINCLUDES) -DMSPCCS_DATA_DEFAULT=\"$(pkgdatadir)/\"
+
+libMSPdtcc_la_LDFLAGS = -version-info $(GEOTRANS_SO_VERSION)
+libMSPCoordinateConversionService_la_LDFLAGS = -version-info $(GEOTRANS_SO_VERSION)
+
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = geotrans.pc
+
+install-data-hook:
+	mkdir -p $(pkgdatadir)
+	cp -p $(DATAFILES) $(pkgdatadir)/
+
+spotless:
+	rm -rf .deps aclocal.m4 autom4te.cache config config.log config.status configure libtool m4 template Makefile.in Makefile COPYING INSTALL
+
diff -ruN geotrans3.2-orig/CCS/autotools/configure.ac geotrans3.2/CCS/autotools/configure.ac
--- CCS/autotools/configure.ac	1969-12-31 19:00:00.000000000 -0500
+++ CCS/autotools/configure.ac	2012-06-17 02:28:41.000000000 -0400
@@ -0,0 +1,14 @@
+AC_INIT([geotrans], [3.2], [klee.dienes@hadronindustries.com])
+AC_PREREQ([2.59])
+AC_CONFIG_AUX_DIR(config)
+AC_CONFIG_SRCDIR(../../CCS/src/CoordinateConversion/CoordinateConversionService.h)
+AM_INIT_AUTOMAKE([1.10 -Wall no-define foreign])
+
+AC_PROG_CXX
+
+LT_INIT
+
+AC_SUBST([GEOTRANS_SO_VERSION], [0:0:0])
+
+AC_CONFIG_FILES([Makefile geotrans.pc:geotrans.pc.in])
+AC_OUTPUT
--- CCS/autotools/geotrans.pc.in	1969-12-31 19:00:00.000000000 -0500
+++ CCS/autotools/geotrans.pc.in	2012-06-17 02:28:41.000000000 -0400
@@ -0,0 +1,12 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: geotrans
+Description: MSP GEOTRANS (Geographic Translator)
+URL: http://earth-info.nga.mil/GandG/geotrans/
+Version: @PACKAGE_VERSION@
+Requires: 
+Libs: -L@libdir@ -lMSPCoordinateConversionService -lMSPdtcc
+Cflags: -I@includedir@/geotrans