Index: Portfile
===================================================================
--- Portfile	(revision 98594)
+++ Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name                ZendFramework
 version             1.12.0
+revision            1
 categories          www lang
 license             BSD
 maintainers         snc openmaintainer
@@ -16,79 +17,83 @@
                     by Zend and the PHP Collaboration Project.
                   
 homepage            http://framework.zend.com/
-
 platforms           darwin freebsd
-depends_run         path:bin/php:php5 \
-                    port:php5-apc \
-                    port:php5-calendar \
-                    port:php5-curl \
-                    port:php5-dba \
-                    port:php5-exif \
-                    port:php5-ftp \
-                    port:php5-gd \
-                    port:php5-gettext \
-                    port:php5-gmp \
-                    port:php5-iconv \
-                    port:php5-imap \
-                    port:php5-mbstring \
-                    port:php5-mcrypt \
-                    port:php5-memcache \
-                    port:php5-mssql \
-                    port:php5-mysql \
-                    port:php5-odbc \
-                    port:php5-openssl \
-                    port:php5-pcntl \
-                    port:php5-posix \
-                    port:php5-postgresql \
-                    port:php5-soap \
-                    port:php5-sockets \
-                    port:php5-SPL_Types \
-                    port:php5-sqlite \
-                    port:php5-tidy \
-                    port:php5-wddx \
-                    port:php5-xmlrpc \
-                    port:php5-xsl \
-                    port:php5-zip
+master_sites
+dist_subdir         ZendFramework
 
-variant manual_extensions description {Let me pick my own php extensions} {
-    depends_run         path:bin/php:php5
+subport ZendFramework1 {
+    revision            0
+
+    master_sites        http://packages.zendframework.com/releases/${name}-${version}/
+
+    checksums           rmd160  ed23e3b500ea4ddf76006bed1a01ed249aaf5302 \
+                        sha256  99876e3b00fdac4b6a1407119c1691043becaba090dc01d37a49bf6e208f92e0
+
+    livecheck.regex     {Zend Framework (1\.\d+\.\d+) Full}
 }
+subport ZendFramework2 {
+    version             2.0.2
+    revision            0
 
-master_sites        http://framework.zend.com/releases/${name}-${version}/
+    master_sites        http://packages.zendframework.com/releases/${name}-${version}/
+    extract.suffix      .tgz
 
-checksums           rmd160  ed23e3b500ea4ddf76006bed1a01ed249aaf5302 \
-                    sha256  99876e3b00fdac4b6a1407119c1691043becaba090dc01d37a49bf6e208f92e0
+    checksums           rmd160  96d216f84070f952592afa2ca1d02096cdee8869 \
+                        sha256  320d718f3858363f2b5a871d3eb023ac7d1ffe8fa1f8596afa25180c6af06830
 
-set zf_main_dir     ${prefix}/www/${name}
-set zf_doc_dir      ${prefix}/share/doc/${name}
+    livecheck.regex     {Zend Framework (2\.\d+\.\d+) Full}
+}
 
-use_configure       no
+if {${name} != ${subport}} {
+    foreach php {php5 php53 php54} {
+        eval [subst {
+            variant ${php} conflicts manual_extensions description "Use ${php}" {
+                depends_run port:${php}-apc port:${php}-calendar port:${php}-curl port:${php}-dba port:${php}-exif port:${php}-ftp port:${php}-gd port:${php}-gettext port:${php}-gmp port:${php}-iconv port:${php}-imap port:${php}-mbstring port:${php}-mcrypt port:${php}-memcache port:${php}-mssql port:${php}-mysql port:${php}-odbc port:${php}-openssl port:${php}-pcntl port:${php}-posix port:${php}-postgresql port:${php}-soap port:${php}-sockets port:${php}-SPL_Types port:${php}-sqlite port:${php}-tidy port:${php}-wddx port:${php}-xmlrpc port:${php}-xsl port:${php}-zip
+            }
+        }]
+    }
 
-build               {}
+    if {![variant_isset php5] && ![variant_isset php53] && ![variant_isset php54] && ![variant_isset manual_extensions]} {
+        default_variants +php5
+    }
 
-destroot {
-    # Copy everything to www.
-    copy ${worksrcpath} ${destroot}${zf_main_dir}
+    variant manual_extensions conflicts php5 php53 php54 description {Let me pick my own php extensions} {
+        depends_run         path:bin/php:php5
+    }
 
-    # Link the CLI Zend Tool into bin.
-    ln -s ${zf_main_dir}/bin/zf.sh ${destroot}${prefix}/bin
-    ln -s ${zf_main_dir}/bin/zf.sh ${destroot}${prefix}/bin/zf
+    set zf_main_dir     ${prefix}/www/${name}
+    set zf_doc_dir      ${prefix}/share/doc/${name}
 
-    # Link the documentation into share/doc.
-    xinstall -d ${destroot}${zf_doc_dir}
-    foreach f [glob ${worksrcpath}/*.txt] {
-        ln -s ${zf_main_dir}/[file tail ${f}] ${destroot}${zf_doc_dir}
+    use_configure       no
+
+    build               {}
+
+    destroot {
+        # Copy everything to www.
+        copy ${worksrcpath} ${destroot}${zf_main_dir}
+
+        # Link the CLI Zend Tool into bin.
+        ln -s ${zf_main_dir}/bin/zf.sh ${destroot}${prefix}/bin
+        ln -s ${zf_main_dir}/bin/zf.sh ${destroot}${prefix}/bin/zf
+
+        # Link the documentation into share/doc.
+        xinstall -d ${destroot}${zf_doc_dir}
+        foreach f [glob ${worksrcpath}/*.txt] {
+            ln -s ${zf_main_dir}/[file tail ${f}] ${destroot}${zf_doc_dir}
+        }
     }
-}
 
-notes               "If this is your first install, you might want to add \
-                    ${zf_main_dir}/library to the include_path in your php.ini \
-                    (e.g. include_path = \".:${zf_main_dir}/library\"). \
-                    \n\nIf you want to use the extra ZendX components \
-                    you might want to add ${zf_main_dir}/extras/library too \
-                    (e.g. include_path = \".:${zf_main_dir}/library:${zf_main_dir}/extra/library\")."
+    notes               "If this is your first install, you might want to add \
+                        ${zf_main_dir}/library to the include_path in your php.ini \
+                        (e.g. include_path = \".:${zf_main_dir}/library\"). \
+                        \n\nIf you want to use the extra ZendX components \
+                        you might want to add ${zf_main_dir}/extras/library too \
+                        (e.g. include_path = \".:${zf_main_dir}/library:${zf_main_dir}/extra/library\")."
 
-livecheck.type      regex
-livecheck.url       http://framework.zend.com/download/latest
-livecheck.regex     {releases/ZendFramework-(\d+\.\d+\.\d+[^ab\/]*)\/}
-livecheck.regex     {Zend Framework (\d+\.\d+\.\d+) Full}
+    livecheck.type      regex
+    livecheck.url       http://framework.zend.com/downloads/latest
+} else {
+    replaced_by ZendFramework1
+    PortGroup obsolete 1.0
+    livecheck.type      none
+}