--- doc/CMakeLists.txt.orig	2012-07-26 10:29:21.000000000 -0500
+++ doc/CMakeLists.txt	2012-07-26 10:25:41.000000000 -0500
@@ -65,47 +65,47 @@
 
 INSTALL(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/cxx/html
         COMPONENT "doc" 
-        DESTINATION share/doc/zorba-${ZORBA_MAJOR_NUMBER}.${ZORBA_MINOR_NUMBER}.${ZORBA_PATCH_NUMBER}/cxx)
+        DESTINATION share/doc/zorba/cxx)
 
 INSTALL(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/c/html  
         COMPONENT "doc"
-        DESTINATION share/doc/zorba-${ZORBA_MAJOR_NUMBER}.${ZORBA_MINOR_NUMBER}.${ZORBA_PATCH_NUMBER}/c)
+        DESTINATION share/doc/zorba/c)
 
 INSTALL(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/code/html  
         COMPONENT "doc"
-        DESTINATION share/doc/zorba-${ZORBA_MAJOR_NUMBER}.${ZORBA_MINOR_NUMBER}.${ZORBA_PATCH_NUMBER}/code)
+        DESTINATION share/doc/zorba/code)
 
 IF (SWIG_FOUND)
   INSTALL(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/java/html 
         COMPONENT "doc"
-        DESTINATION share/doc/zorba-${ZORBA_MAJOR_NUMBER}.${ZORBA_MINOR_NUMBER}.${ZORBA_PATCH_NUMBER}/java)
+        DESTINATION share/doc/zorba/java)
   
   INSTALL(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/php/html
         COMPONENT "doc" 
-        DESTINATION share/doc/zorba-${ZORBA_MAJOR_NUMBER}.${ZORBA_MINOR_NUMBER}.${ZORBA_PATCH_NUMBER}/php)
+        DESTINATION share/doc/zorba/php)
   
   INSTALL(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/python/html 
         COMPONENT "doc"
-        DESTINATION share/doc/zorba-${ZORBA_MAJOR_NUMBER}.${ZORBA_MINOR_NUMBER}.${ZORBA_PATCH_NUMBER}/python)
+        DESTINATION share/doc/zorba/python)
   
   INSTALL(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/ruby/html  
         COMPONENT "doc"
-        DESTINATION share/doc/zorba-${ZORBA_MAJOR_NUMBER}.${ZORBA_MINOR_NUMBER}.${ZORBA_PATCH_NUMBER}/ruby)
+        DESTINATION share/doc/zorba/ruby)
 
   INSTALL(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/xqj/html 
         COMPONENT "doc"
-        DESTINATION share/doc/zorba-${ZORBA_MAJOR_NUMBER}.${ZORBA_MINOR_NUMBER}.${ZORBA_PATCH_NUMBER}/xqj)
+        DESTINATION share/doc/zorba/xqj)
 ENDIF (SWIG_FOUND)
 
 INSTALL(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/zorba/html 
         COMPONENT "doc"
         DESTINATION
-        share/doc/zorba-${ZORBA_MAJOR_NUMBER}.${ZORBA_MINOR_NUMBER}.${ZORBA_PATCH_NUMBER}/zorba)
+        share/doc/zorba/zorba)
 
 INSTALL(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/zorba/xqdoc 
         COMPONENT "doc"
         DESTINATION
-        share/doc/zorba-${ZORBA_MAJOR_NUMBER}.${ZORBA_MINOR_NUMBER}.${ZORBA_PATCH_NUMBER}/zorba
+        share/doc/zorba/zorba
         PATTERN "*.vcxproj" EXCLUDE
         PATTERN "*.vcxproj.*" EXCLUDE
         PATTERN "*.cmake" EXCLUDE
@@ -114,10 +114,10 @@
         
 
 INSTALL(FILES ${CMAKE_SOURCE_DIR}/LICENSE.txt 
-        DESTINATION share/doc/zorba-${ZORBA_MAJOR_NUMBER}.${ZORBA_MINOR_NUMBER}.${ZORBA_PATCH_NUMBER})
+        DESTINATION share/doc/zorba)
 INSTALL(FILES ${CMAKE_SOURCE_DIR}/README.txt  
-        DESTINATION share/doc/zorba-${ZORBA_MAJOR_NUMBER}.${ZORBA_MINOR_NUMBER}.${ZORBA_PATCH_NUMBER})
+        DESTINATION share/doc/zorba)
 INSTALL(FILES ${CMAKE_SOURCE_DIR}/NOTICE.txt  
-        DESTINATION share/doc/zorba-${ZORBA_MAJOR_NUMBER}.${ZORBA_MINOR_NUMBER}.${ZORBA_PATCH_NUMBER})
+        DESTINATION share/doc/zorba)
 INSTALL(FILES ${CMAKE_SOURCE_DIR}/AUTHORS.txt 
-        DESTINATION share/doc/zorba-${ZORBA_MAJOR_NUMBER}.${ZORBA_MINOR_NUMBER}.${ZORBA_PATCH_NUMBER})
+        DESTINATION share/doc/zorba)
--- doc/c/examples/CMakeLists.txt.orig	2012-07-26 10:29:45.000000000 -0500
+++ doc/c/examples/CMakeLists.txt	2012-07-26 10:26:14.000000000 -0500
@@ -62,4 +62,4 @@
         ${CMAKE_CURRENT_BINARY_DIR}/cparsing.xml
         COMPONENT "doc"
         DESTINATION
-        share/doc/zorba-${ZORBA_MAJOR_NUMBER}.${ZORBA_MINOR_NUMBER}.${ZORBA_PATCH_NUMBER}/c/examples)
+        share/doc/zorba/c/examples)
--- doc/cxx/examples/CMakeLists.txt.orig	2012-07-26 10:30:18.000000000 -0500
+++ doc/cxx/examples/CMakeLists.txt	2012-07-26 10:29:52.000000000 -0500
@@ -70,8 +70,8 @@
 INSTALL(FILES ${API_EXAMPLES} ${CMAKE_CURRENT_BINARY_DIR}/examples.cpp
         COMPONENT "cxx_examples" 
         DESTINATION
-        share/doc/zorba-${ZORBA_MAJOR_NUMBER}.${ZORBA_MINOR_NUMBER}.${ZORBA_PATCH_NUMBER}/cxx/examples)
+        share/doc/zorba/cxx/examples)
 INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/Makefile.zorba
         COMPONENT "cxx_examples" 
         DESTINATION
-        share/doc/zorba-${ZORBA_MAJOR_NUMBER}.${ZORBA_MINOR_NUMBER}.${ZORBA_PATCH_NUMBER}/cxx/examples RENAME Makefile)
+        share/doc/zorba/cxx/examples RENAME Makefile)